# 外部共有レポートコマンド

### 外部共有レポート <a href="#external-shares-report" id="external-shares-report"></a>

外部ユーザーを受信者とする直接レコード共有と、共有フォルダへのユーザー所属を一覧表示します。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `audit-report --limit 50`

作成日時、ユーザー名、イベント種別、メッセージを含む行の一覧を返します。

**パラメーター:**

`limit` - 行数の上限。

**例:**

```sh
My Vault> audit-report --limit 50
```

</details>

<details>

<summary>DotNet SDK</summary>

**近日公開**

</details>

<details>

<summary>PowerCommander</summary>

**コマンド:** `Get-KeeperExternalSharesReport`

**パラメーター:**

| パラメーター         | 説明                                                                  |
| -------------- | ------------------------------------------------------------------- |
| `-Format`      | `table` (既定)、`json`、または `csv`。                                      |
| `-Output`      | `json` または `csv` 用のファイルパス。`table` では使用しません。                         |
| `-Action`      | `none` (既定): 一覧のみ。`remove`: フィルターに一致する外部共有を取り消し。                    |
| `-ShareType`   | `all` (既定)、`direct` (レコード共有のみ)、または `shared-folder` (共有フォルダのユーザーのみ)。 |
| `-Force`       | `-Action remove` と併用。確認なしで削除を実行                                     |
| `-RefreshData` | 外部共有を評価する前にコンプライアンススナップショットを再構築します。                                 |

**例:**

```powershell
PS > Get-KeeperExternalSharesReport                             
            
uid                    name                   type          shared_to                                  permissions
---                    ----                   ----          ---------                                  -----------
cDx8KS1zVbOH1GnNHJT7_Q Gmail Account          Direct        test1@example.com                          read-only
cDx8KS1zVbOH1GnNHJT7_Q Gmail Account          Direct        test2@example.com                          read-only
Oz0yr-Ua45lsojNZAqbUQA Commander Service Mode Direct        test2@example.com                          edit,share
```

</details>

<details>

<summary>Python CLI</summary>

**コマンド:** `external-shares-report`

**フラグ:**

`--format` : 出力形式 {table,csv,json,pdf}\
`--output` : 結果ファイルの出力パス (形式が `table` のときは無視)\
`-a, --action` : 外部共有に対する操作。省略時は `none` {remove,none}\
`-t, --share-type` : 共有種別でフィルター。省略時は `all` {direct,shared-folder,all}\
`-f, --force` : 確認なしで操作を適用\
`-r, --refresh-data` : 最新データを取得

**例:**

```
External Shares Report

UID                     Name                                               Type           Shared To    Permissions
----------------------  -------------------------------------------------  -------------  -----------  -------------
LXp-qBKq0E7j7Uu_ZtMjRg  just testing                                       Direct                      read-only
Mpn1zqYkEUXTJDm3JQShfw  new-record                                         Direct                      read-only

```

</details>

<details>

<summary>Python SDK</summary>

**関数:**

```python
def run_external_shares_report(
    vault: vault_online.VaultOnline,
    include_expired: bool = False,
    share_type: str = SHARE_TYPE_ALL,
) -> ExternalSharesReportResult:
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keeper.io/keeperpam/jp/commander-sdk/keeper-commander-sdks/sdk-command-reference/reporting-commands/external-shares-report-command.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
